﻿ @using System.Web.UI.WebControls 
 <div>
        @*Table untuk Header*@
        <table >
        <tr>
            <td>
                @Html.Label("Forecast ID")
            </td>
            <td style = "padding-left:4px">
                @Html.DevExpress().ComboBox(
                setting => {
                    setting.Name = "txtForecastID";
                    setting.SelectedIndex = 0;
                    setting.Properties.Items.Add("201201");
                    setting.ReadOnly = true;
                    setting.Enabled = false;
                    setting.Width = Unit.Pixel(80);
                    setting.Properties.MaxLength = 6;
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.Label("Production Month")
            </td>
    
            <td style="padding-left:4px">
                @Html.DevExpress().DateEdit(
                setting => {
                    setting.Name = "txtProdMonth";
                    setting.Properties.EditFormat = EditFormat.Custom;
                    setting.Properties.EditFormatString = "dd MMMM, yyyy";
                    setting.Properties.DisplayFormatString = "dd MMMM, yyyy";
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.Label("Supplier")
            </td>
 
            <td colspan ="2">
                <table>
                    <tr>
                        <td>
                            @Html.DevExpress().TextBox(
                            setting => {
                                setting.Name = "txtSupplierID";
                                setting.Width = new System.Web.UI.WebControls.Unit(80);
                                setting.ReadOnly = true;
                                setting.Width = Unit.Pixel(80);
                                setting.Properties.MaxLength = 4;
                            }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().TextBox(
                            setting => {
                                setting.Name = "txtSupplierName";
                                setting.ReadOnly = true;
                                setting.Properties.MaxLength = 40;
                                setting.Width = Unit.Pixel(180);
                            }).GetHtml()
                        </td>
                    </tr>
                </table>
            
            </td>
        </tr>
        <tr align="left">
            <td>
                @Html.Label("Forecast Type")
            </td>
    
            <td style="padding-left:4px">
                @Html.DevExpress().TextBox(
                setting => {
                    setting.Name = "txtForecastType";
                    setting.ReadOnly = true;
                    setting.Width = Unit.Pixel(80);
                    setting.Properties.MaxLength = 1;
               }).GetHtml()
            </td>
  
         
            <td align="left">      @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnView";
                settings.ControlStyle.CssClass = "DisplayButtonFloatRight";
                settings.Text = "View";
                settings.Width = Unit.Pixel(80);
            }
                 ).GetHtml()</td>
            
        </tr>
    </table>
    </div>